/*  libbadpenguin -- generic library for Bad Penguin development
 *
 *  Copyright (C) 1996 Antonio Gallo
 *  agx@linux.it
 *  
 *  Newer versions should be on www.badpenguin.org
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
 */

#include <stdio.h>

//My battle horse !
//Read a line of text from a file, stripping non printable chars
int read_line( FILE* fd, char* buffer ) {
  char c;
  int count = 0;
  while (!feof(fd)) {
    c = fgetc(fd);
     // Ignore things that aren't char DOS edited chars
    if ( c == '\r' ) continue;
    if ( c == EOF  ) continue;
    // on newline Terminate the string and return
    if ( c == '\n' ) {
      buffer[count]=0;
      return count;
    }
    // Add char and continue
    buffer[count] = c;
    count++;
  }
  buffer[count]=0;
  return count;
}

